+++
title = "helm dependency build"
weight = "6"

tags = ["commands"]
section = "helm-commands"
categories = ["helm-commands"]
type = "page"

slug = "helm-dependency-build"

[menu.main]
  url = "helm-dependency-build"
  parent = "helm-commands"

+++

## helm dependency build

rebuild the charts/ directory based on the requirements.lock file

### Synopsis



Build out the charts/ directory from the requirements.lock file.

Build is used to reconstruct a chart's dependencies to the state specified in
the lock file. This will not re-negotiate dependencies, as 'helm dependency update'
does.

If no lock file is found, 'helm dependency build' will mirror the behavior
of 'helm dependency update'.


```
helm dependency build [flags] CHART
```

### Options

```
      --keyring string   keyring containing public keys (default "~/.gnupg/pubring.gpg")
      --verify           verify the packages against signatures
```

### Options inherited from parent commands

```
      --debug                     enable verbose output
      --home string               location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string               address of tiller. Overrides $HELM_HOST
      --kube-context string       name of the kubeconfig context to use
      --tiller-namespace string   namespace of tiller (default "kube-system")
```

### SEE ALSO
* [helm dependency](#helm-dependency)	 - manage a chart's dependencies
